Bug 144821 - [patch] audio/xmms2 : update to version 0.7 DrNo.
[patch] audio/xmms2 : update to version 0.7 DrNo.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-17 15:50 UTC by Guido Falsi
Modified: 2011-02-24 23:40 UTC (History)
0 users

See Also:


Attachments
file.diff (4.65 KB, patch)
2010-03-17 15:50 UTC, Guido Falsi
no flags Details | Diff
ports.diff (5.70 KB, patch)
2010-03-21 18:53 UTC, Guido Falsi
no flags Details | Diff
xmms2.diff (15.95 KB, patch)
2010-11-13 15:20 UTC, Guido Falsi
no flags Details | Diff
xmms2.diff (15.89 KB, patch)
2010-11-13 15:46 UTC, Guido Falsi
no flags Details | Diff
xmms2.diff (16.21 KB, patch)
2010-11-14 15:30 UTC, Guido Falsi
no flags Details | Diff
abraca.diff (863 bytes, patch)
2010-11-21 22:16 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2010-03-17 15:50:01 UTC
Update to latest version 0.7 DrNo.
Comment 1 Martin Wilke freebsd_committer 2010-03-17 17:21:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2010-03-17 20:07:23 UTC
I Also see this update requires bumping all the dependant ports and 
substitute xmmsclient.5 with xmmsclient.6.

Also a few of the clients to be updated. I'll see if I can update a pair 
of those that I'm going to use.

This is a quick list of dependant ports:

audio/cpp-xmms2
audio/gxmms2
audio/p5-xmms2
audio/ruby-xmms2
audio/abraca
audio/py-xmms2
sysutils/conky

-- 
Guido Falsi <mad@madpilot.net>
Comment 3 Guido Falsi freebsd_committer 2010-03-21 18:53:33 UTC
I'm attaching a patch of the ports tree to fix all the depending ports 
after this upgrade.

Abraca update is not included in this patch because I already filed a PR 
to update it as ports/144857

Added file:

ports/audio/gxmms2/files/patch-gxmms2src-gxmms2.c

-- 
Guido Falsi <mad@madpilot.net>
Comment 4 swell.k 2010-05-09 14:35:21 UTC
What options did you use to test build/plist? Did you try to turn them
all on?

plist is wrong, libgme is no longer bundled with xmms2:
  $ make PREFIX=$HOME/aaa deinstall
  ...
  pkg_delete: file '/home/holo/aaa/lib/xmms2/libxmms_gme.so' doesn't exist
  pkg_delete: couldn't entirely delete package (perhaps the packing list is
  incorrectly specified?)

So, I've added dependency on audio/libgme from ports/146432.

--- a.diff begins here ---
--- audio/xmms2/Makefile~
+++ audio/xmms2/Makefile
@@ -36,6 +36,7 @@ OPTIONS=	AIRPLAY	"Support output via Air
 		FAAD	"Support to playback AAC files" on \
 		FAM	"Support to update Media Library on file change" off \
 		FLAC	"Support to playback FLAC files" on \
+		GME	"Support to playback video game music files" off \
 		GVFS	"Support to playback files via GVFS" off \
 		ICES	"Support to playback files to an icecast server" off \
 		JACK	"Support to output via the Jack output server" off \
@@ -161,6 +162,14 @@ EXCLUDE+=	--without-plugins="flac"
 PLIST_SUB+=	FLAC="@comment "
 .endif
 
+.if !defined(WITHOUT_GME)
+LIB_DEPENDS+=	gme.0:${PORTSDIR}/audio/libgme
+PLIST_SUB+=	GME=""
+.else
+EXCLUDE+=	--without-plugins="gme"
+PLIST_SUB+=	GME="@comment "
+.endif
+
 .if !defined(WITHOUT_GVFS)
 USE_GNOME+=	gvfs
 PLIST_SUB+=	GVFS=""
--- audio/xmms2/pkg-plist~
+++ audio/xmms2/pkg-plist
@@ -88,7 +88,7 @@ lib/libxmmsclient.so.6.0.0
 %%LIBDIR%%/libxmms_file.so
 %%FLAC%%%%LIBDIR%%/libxmms_flac.so
 %%LIBDIR%%/libxmms_flv.so
-%%LIBDIR%%/libxmms_gme.so
+%%GME%%%%LIBDIR%%/libxmms_gme.so
 %%GVFS%%%%LIBDIR%%/libxmms_gvfs.so
 %%LIBDIR%%/libxmms_html.so
 %%ICES%%%%LIBDIR%%/libxmms_ices.so
--- a.diff ends here ---
Comment 5 swell.k 2010-05-09 16:53:38 UTC
Based on waf config output there are 2 dependencies more:
not yet released sc68 2.3.0 and libtremor.

--- a.diff begins here ---
--- audio/xmms2/Makefile~
+++ audio/xmms2/Makefile
@@ -51,6 +52,7 @@ OPTIONS=	AIRPLAY	"Support output via Air
 		SAMBA	"Support to playback files via SMB" off \
 		SID	"Support to playback SID files" off \
 		SPEEX	"Support to playback SPEEX files" off \
+		TREMOR	"Support to playback OGG files" off \
 		VISUAL	"Support for visualization plugins" off \
 		VOCODER	"Phase Vocoder effect plugin" off \
 		VORBIS	"Support to playback OGG files" on \
@@ -288,6 +298,14 @@ EXCLUDE+=	--without-plugins="speex"
 PLIST_SUB+=	SPEEX="@comment "
 .endif
 
+.if !defined(WITHOUT_TREMOR)
+LIB_DEPENDS+=	vorbisidec.1:${PORTSDIR}/audio/libtremor
+PLIST_SUB+=	TREMOR=""
+.else
+EXCLUDE+=	--without-plugins="tremor"
+PLIST_SUB+=	TREMOR="@comment "
+.endif
+
 # xmms2-ripper
 .if !defined(WITHOUT_VISUAL) && !defined(WITHOUT_VORBIS)
 LIB_DEPENDS+=	vorbisenc.2:${PORTSDIR}/audio/libvorbis
--- audio/xmms2/pkg-plist~
+++ audio/xmms2/pkg-plist
@@ -116,6 +116,7 @@ lib/libxmmsclient.so.6.0.0
 %%SAMBA%%%%LIBDIR%%/libxmms_samba.so
 %%SID%%%%LIBDIR%%/libxmms_sid.so
 %%SPEEX%%%%LIBDIR%%/libxmms_speex.so
+%%TREMOR%%%%LIBDIR%%/libxmms_tremor.so
 %%LIBDIR%%/libxmms_tta.so
 %%VOCODER%%%%LIBDIR%%/libxmms_vocoder.so
 %%VORBIS%%%%LIBDIR%%/libxmms_vorbis.so
--- a.diff ends here ---
Comment 6 Martin Wilke freebsd_committer 2010-09-11 13:14:52 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

back to pool.
Comment 7 Guido Falsi freebsd_committer 2010-11-13 15:20:48 UTC
After all this time this PR is a little stale. Patches don't apply 
cleanly anymore and they are also broken due to the upgrade of vala, so 
I polished it a little and tested it in a tinderbox.

I also included an updated version of the diff in ports/144857 since I 
figured out they can be committed together.

The attached patch is relative to a recent ports tree(should apply 
cleanly) updates xmms2 to 0.7 and abraca to 0.5.0.

It also fixes all the dependent ports to work with the updated xmms2. 
Here is the list of touched ports:

audio/xmms2
audio/abraca
audio/cpp-xmms2
audio/gxmms2
audio/p5-xmms2
audio/py-xmms2
audio/ruby-xmms2
sysutils/conky

I was unable to find a valid distfile for gxmms2, so it stays broken.

Added dir:

audio/abraca/files

Added files:

audio/abraca/files/patch-src-components-collections-collections_view.vala
audio/gxmms2/files/patch-gxmms2src-gxmms2.c

-- 
Guido Falsi <mad@madpilot.net>
Comment 8 Guido Falsi freebsd_committer 2010-11-13 15:46:47 UTC
Sending the patch again. Hope gnats will detect it as such this time.

-- 
Guido Falsi <mad@madpilot.net>
Comment 9 swell.k 2010-11-13 19:23:30 UTC
Guido Falsi <mad@madpilot.net> writes:

> I was unable to find a valid distfile for gxmms2, so it stays broken.

Why not update it to 0.7.1 and grab distfile from Debian?

  $ fetch -o gxmms2-0.7.1.tar.gz http://ftp.de.debian.org/debian/pool/main/g/gxmms2/gxmms2_0.7.1.orig.tar.gz

Then replace LOCAL/blah in MASTER_SITES with your mirror.

--- a.diff begins here ---
diff --git audio/gxmms2/Makefile audio/gxmms2/Makefile
index 9384937..83a4247 100644
--- audio/gxmms2/Makefile
+++ audio/gxmms2/Makefile
@@ -6,20 +6,16 @@
 #
 
 PORTNAME=	gxmms2
-PORTVERSION=	0.7.0.20090608
-PORTREVISION=	3
-DISTVERSIONSUFFIX=.795a77a
+PORTVERSION=	0.7.1
 CATEGORIES=	audio
-#MASTER_SITES=	http://wejp.k.vu/projects/xmms2/
-MASTER_SITES=	ftp://ftp.lissyara.su/users/Guest/distfiles/
+MASTER_SITES=	LOCAL/blah \
+		http://wejp.k.vu/files/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A GTK2 based XMMS2 client, written in C
 
 LIB_DEPENDS=	xmmsclient.6:${PORTSDIR}/audio/xmms2
 
-BROKEN=		does not fetch
-
 USE_GNOME=	gtk20
 USE_GMAKE=	yes
 
diff --git audio/gxmms2/distinfo audio/gxmms2/distinfo
index 22b8fcf..9ad0420 100644
--- audio/gxmms2/distinfo
+++ audio/gxmms2/distinfo
@@ -1,3 +1,2 @@
-MD5 (gxmms2-0.7.0.20090608.795a77a.tar.gz) = e3c8154035c69d5cae7d67f85f86d101
-SHA256 (gxmms2-0.7.0.20090608.795a77a.tar.gz) = aeedb2ae3ae7ca40dd1c718a3c52d92b2d0c52565b7c22e73be8ff36d04be3db
-SIZE (gxmms2-0.7.0.20090608.795a77a.tar.gz) = 75735
+SHA256 (gxmms2-0.7.1.tar.gz) = fa3fef28935d29665bd7d788db2dcd131e177c7d9ee71423c096a410bfc05a27
+SIZE (gxmms2-0.7.1.tar.gz) = 76473
diff --git audio/gxmms2/files/patch-gxmms2src-gxmms2.c audio/gxmms2/files/patch-gxmms2src-gxmms2.c
deleted file mode 100644
index ae8b930..0000000
--- audio/gxmms2/files/patch-gxmms2src-gxmms2.c
+++ /dev/null
@@ -1,11 +0,0 @@
---- gxmms2src/gxmms2.c.orig	2010-03-18 17:24:13.010581936 +0100
-+++ gxmms2src/gxmms2.c	2010-03-18 17:24:55.246502932 +0100
-@@ -88,7 +88,7 @@
- 	xmmsc_result_t *res;
- 
- 	if (xmms2ctrl_get_error() != ERROR_CONNECTION) {
--		res = xmmsc_playback_seek_ms(connection, 
-+		res = xmmsc_playback_seek_ms_abs(connection, 
- 	          	(guint)gtk_range_get_value(GTK_RANGE(widget)));
- 		xmmsc_result_unref(res);
- 	}
--- a.diff ends here ---
Comment 10 Guido Falsi freebsd_committer 2010-11-14 12:17:59 UTC
This patch cannot be committed. A port to be unbroken has to fetch 
automatically the distfile.

I could make a patch to have the port use gxmms2_0.7.1.orig.tar.gz 
directly, for the time being. But I need a committer opinion on this.

I'll try asking on the ports@ mailing list.

-- 
Guido Falsi <mad@madpilot.net>
Comment 11 Guido Falsi freebsd_committer 2010-11-14 15:30:56 UTC
Attaching new patch which includes update of gxmms2 to 0.7.1 and uses 
the debian mirrored distfile for it.

Added dir:

audio/abraca/files

Added files:

audio/abraca/files/patch-src-components-collections-collections_view.vala
audio/gxmms2/files/patch-gxmms2src-gxmms2.c

removed file:

audio/gxmms2/files/patch-gxmms2src-gxmms2.c

-- 
Guido Falsi <mad@madpilot.net>
Comment 12 Guido Falsi freebsd_committer 2010-11-21 22:16:09 UTC
The latest upgrade to vala 0.10.1 broke abraca.

The attached additional patch fixes it again (depends on previous big patch)

-- 
Guido Falsi <mad@madpilot.net>
Comment 13 dfilter freebsd_committer 2011-02-24 23:38:33 UTC
miwi        2011-02-24 23:38:28 UTC

  FreeBSD ports repository

  Modified files:
    audio/xmms2          Makefile distinfo pkg-plist 
    audio/xmms2/files    patch-src-plugins-airplay-wscript 
                         patch-wscript 
    audio/abraca         Makefile distinfo pkg-descr 
    audio/cpp-xmms2      Makefile pkg-plist 
    audio/gxmms2         Makefile distinfo 
    audio/p5-xmms2       Makefile pkg-plist 
    audio/py-xmms2       Makefile 
    audio/ruby-xmms2     Makefile 
    sysutils/conky       Makefile 
  Log:
  - Update to 0.7.DrNo.
  - Update WWW
  - chase xmms2 shlib bump
  
  PR:             144821
  Submitted by:   Guido Falsi <mad@madpilot.net>
  
  Revision  Changes    Path
  1.10      +8 -8      ports/audio/abraca/Makefile
  1.3       +2 -3      ports/audio/abraca/distinfo
  1.2       +1 -1      ports/audio/abraca/pkg-descr
  1.14      +2 -2      ports/audio/cpp-xmms2/Makefile
  1.5       +2 -2      ports/audio/cpp-xmms2/pkg-plist
  1.21      +4 -8      ports/audio/gxmms2/Makefile
  1.8       +2 -3      ports/audio/gxmms2/distinfo
  1.7       +2 -2      ports/audio/p5-xmms2/Makefile
  1.3       +4 -3      ports/audio/p5-xmms2/pkg-plist
  1.12      +2 -2      ports/audio/py-xmms2/Makefile
  1.11      +2 -2      ports/audio/ruby-xmms2/Makefile
  1.59      +22 -5     ports/audio/xmms2/Makefile
  1.13      +2 -3      ports/audio/xmms2/distinfo
  1.2       +7 -3      ports/audio/xmms2/files/patch-src-plugins-airplay-wscript
  1.2       +11 -8     ports/audio/xmms2/files/patch-wscript
  1.20      +4 -5      ports/audio/xmms2/pkg-plist
  1.59      +2 -2      ports/sysutils/conky/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 Martin Wilke freebsd_committer 2011-02-24 23:39:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!